"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.addItem = void 0;

var _reactNative = require("react-native");

const {
  RNDevMenu
} = _reactNative.NativeModules;
const NativeModule = RNDevMenu;
let emitter;
let handlers;

const addItem = (name, handler) => {
  if (!__DEV__) {
    return Promise.resolve();
  }

  if (handlers == null) {
    handlers = new Map();
  }

  if (emitter == null) {
    emitter = new _reactNative.NativeEventEmitter(RNDevMenu);
    emitter.addListener("customDevOptionTap", name => {
      var _handlers;

      const handler = (_handlers = handlers) === null || _handlers === void 0 ? void 0 : _handlers.get(name);
      handler != null && handler();
    });
  }

  handlers.set(name, handler);
  return NativeModule.addItem(name);
};

exports.addItem = addItem;
var _default = {
  addItem
};
exports.default = _default;
//# sourceMappingURL=index.js.map